%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%global major		1
%define api             2
%global libname		%mklibname gcalc %{api} %{major}
%global devname		%mklibname -d gcalc

# temp fix bc of req vs prov issue ('libgcalc-1.so()' vs 'libgcalc-1.so.0.0.0()'):
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^libgcalc-2.so|^libgci-1.so

%global gtksourceview_version 5.3.0
%global libadwaita_version 1.0.0

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:		gnome-calculator
Version:        46.1
Release:	%mkrel 1
Summary:	GNOME Desktop calculator
Group:		Graphical desktop/GNOME
License:	GPLv3+
URL:		https://wiki.gnome.org/Apps/Calculator
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{tarball_version}.tar.xz
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	itstool
BuildRequires:	libmpc-devel
BuildRequires:	meson
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(gtksourceview-5) >= %{gtksourceview_version}
BuildRequires:	pkgconfig(libadwaita-1) >= %{libadwaita_version}
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	libxml2-utils
BuildRequires:	pkgconfig(mpfr)
BuildRequires:	vala
Provides:	gcalctool = %{version}
Obsoletes:	gcalctool <= 6.6.2
Requires:	%libname = %version

%description
Calculator is an application that solves mathematical equations and is
suitable as a default application in a Desktop environment.

What Calculator is:
- A tool for calculating mathematical equations.
- Uses standard mathematical notation where possible.
- Easy enough to use for simple maths.
- Powerful enough for mid-level mathematics.
- Fast to load and responsive to input.
- Appropriately sized to fit into standard screen resolutions.
- Fully accessible.
- Well documented.
- Integrated into the GNOME Desktop.

What Calculator is not:
- It does not emulate any existing calculator interfaces, hardware or software.
- It is not a power-tool for professional mathematicians.
- It is not a programming language.

# a little bit overkill as it's a private lib:
%package -n %libname
Summary:  Libraries for %{name}
Group:	  System/Libraries

%description -n %libname
This package contains the shared libraries for %name.

%package        -n %devname
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    -n %devname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome --all-name

%check
#meson_test

%files -f %{name}.lang
%doc NEWS
%license COPYING
%{_bindir}/gcalccmd
%{_bindir}/%{name}
%{_libdir}/girepository-1.0/GCalc-2.typelib
%{_libdir}/girepository-1.0/GCi-1.typelib
%{_libexecdir}/%{name}-search-provider
%{_datadir}/applications/org.gnome.Calculator.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.calculator.gschema.xml
%{_datadir}/dbus-1/services/org.gnome.Calculator.SearchProvider.service
%{_datadir}/gnome-shell/search-providers/org.gnome.Calculator-search-provider.ini
%{_datadir}/metainfo/org.gnome.Calculator.appdata.xml
%{_iconsdir}/hicolor/*/apps/org.gnome.Calculator*.*
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/gcalccmd.1*

%files -n %libname
%{_libdir}/libgcalc-%{api}.so.%{major}{,.*}
%{_libdir}/libgci-1.so.0*

%files -n %devname
%{_includedir}/gci-2/
%{_includedir}/gcalc-2/
%{_libdir}/libgcalc-2.so
%{_libdir}/libgci-1.so
%{_libdir}/pkgconfig/gcalc-2.pc
%{_libdir}/pkgconfig/gci-1.pc
%{_datadir}/gir-1.0/GCalc-2.gir
%{_datadir}/gir-1.0/GCi-1.gir
%{_datadir}/vala/vapi/gcalc-2.deps
%{_datadir}/vala/vapi/gcalc-2.vapi
%{_datadir}/vala/vapi/gci-1.deps
%{_datadir}/vala/vapi/gci-1.vapi


%changelog
* Sun Jun 02 2024 daviddavid <daviddavid> 46.1-1.mga10
+ Revision: 2069190
- new version 46.1
- remove no more needed libhandy-1 build dependency

* Mon Mar 18 2024 daviddavid <daviddavid> 46.0-1.mga10
+ Revision: 2050350
- new version 46.0

* Sat Sep 30 2023 tv <tv> 45.0.2-1.mga10
+ Revision: 1992419
- Update to 45.0.2

* Fri Apr 21 2023 tmb <tmb> 44.0-1.mga9
+ Revision: 1953922
- update to 44.o

* Thu Sep 22 2022 tv <tv> 43.0.1-1.mga9
+ Revision: 1891613
- Update to 43.0.1

* Mon Sep 19 2022 tv <tv> 43.0-1.mga9
+ Revision: 1890362
- Update to 43.0
- Switch to libsoup3

* Fri Jul 01 2022 ovitters <ovitters> 42.2-1.mga9
+ Revision: 1867064
- new version 42.2

* Fri May 27 2022 ovitters <ovitters> 42.1-1.mga9
+ Revision: 1860536
- new version 42.1

* Sat Mar 19 2022 tv <tv> 42.0-1.mga9
+ Revision: 1801639
- Update to 42.0

* Wed Mar 16 2022 tv <tv> 42~rc-1.mga9
+ Revision: 1794342
- Update to 42.rc

* Mon Jan 10 2022 tv <tv> 41.1-1.mga9
+ Revision: 1767641
- 41.1

* Wed May 05 2021 ovitters <ovitters> 40.1-1.mga9
+ Revision: 1721524
- new version 40.1

* Wed Mar 24 2021 ovitters <ovitters> 40.0-1.mga9
+ Revision: 1709569
- new version 40.0

* Sat Nov 21 2020 ovitters <ovitters> 3.38.2-1.mga8
+ Revision: 1648202
- new version 3.38.2

* Fri Oct 02 2020 ovitters <ovitters> 3.38.1-1.mga8
+ Revision: 1631875
- new version 3.38.1

* Fri Sep 11 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1624439
- new version 3.38.0

* Fri Sep 04 2020 ovitters <ovitters> 3.37.92-1.mga8
+ Revision: 1622125
- new version 3.37.92

* Fri Aug 07 2020 ovitters <ovitters> 3.37.90-1.mga8
+ Revision: 1611847
- new version 3.37.90

* Sat Mar 07 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1554714
- new version 3.36.0

* Sat Feb 29 2020 ovitters <ovitters> 3.35.92-1.mga8
+ Revision: 1552416
- new version 3.35.92

* Mon Feb 24 2020 tv <tv> 3.35.90-3.mga8
+ Revision: 1550123
- fix deps against the new 2nd private lib
- use %%license
- use %%autosetup
- flex/bison are no more needed
- fix URL
- fix license tag

* Mon Feb 24 2020 tv <tv> 3.35.90-2.mga8
+ Revision: 1550065
- fix deps

* Mon Feb 24 2020 tv <tv> 3.35.90-1.mga8
+ Revision: 1549926
- 3.35.90

* Sun Feb 16 2020 umeabot <umeabot> 3.34.1-2.mga8
+ Revision: 1534837
- Mageia 8 Mass Rebuild

* Mon Oct 07 2019 tv <tv> 3.34.1-1.mga8
+ Revision: 1450161
- fix filelist
+ ovitters <ovitters>
- new version 3.34.1

* Mon Sep 09 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1438964
- new version 3.34.0

* Mon Sep 02 2019 ovitters <ovitters> 3.33.92-1.mga8
+ Revision: 1436406
- new version 3.33.92
+ wally <wally>
- don't own gir and vala dirs

* Tue Aug 06 2019 tv <tv> 3.33.90-1.mga8
+ Revision: 1427728
- new release
- new lib & devel subpkgs (a little bit overkill for the 1rst one -- private lib)
- temporary excludes private lib b/c of different provides & requires

* Tue Jul 02 2019 ovitters <ovitters> 3.32.2-1.mga8
+ Revision: 1417608
- new version 3.32.2

* Wed Apr 17 2019 umeabot <umeabot> 3.32.1-2.mga7
+ Revision: 1392295
- Rebuild with meson 0.50.1

* Mon Apr 08 2019 ovitters <ovitters> 3.32.1-1.mga7
+ Revision: 1387209
- new version 3.32.1

* Mon Mar 11 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1374160
- new version 3.32.0

* Thu Mar 07 2019 ovitters <ovitters> 3.31.92-1.mga7
+ Revision: 1372491
- new version 3.31.92

* Mon Sep 24 2018 ovitters <ovitters> 3.30.1-1.mga7
+ Revision: 1303580
- new version 3.30.1

* Mon Sep 03 2018 ovitters <ovitters> 3.30.0-1.mga7
+ Revision: 1256887
- new version 3.30.0

* Mon Aug 13 2018 ovitters <ovitters> 3.29.91-1.mga7
+ Revision: 1251388
- new version 3.29.91

* Mon Jul 30 2018 ovitters <ovitters> 3.29.90-1.mga7
+ Revision: 1246153
- new version 3.29.90

* Mon Jun 18 2018 ovitters <ovitters> 3.29.3-1.mga7
+ Revision: 1237902
- new version 3.29.3

* Mon Jun 18 2018 ovitters <ovitters> 3.28.2-1.mga7
+ Revision: 1237868
- new version 3.28.2

* Mon Apr 09 2018 ovitters <ovitters> 3.28.1-1.mga7
+ Revision: 1216608
- new version 3.28.1

* Tue Mar 13 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1208780
- new version 3.28.0

* Mon Feb 26 2018 ovitters <ovitters> 3.27.92-1.mga7
+ Revision: 1205356
- new version 3.27.92

* Tue Feb 20 2018 daviddavid <daviddavid> 3.27.90-3.mga7
+ Revision: 1203565
- do not tag manpage as doc

* Tue Feb 20 2018 kekepower <kekepower> 3.27.90-2.mga7
+ Revision: 1203497
- Rebuild for new mpfr
+ ovitters <ovitters>
- new version 3.27.90

* Thu Nov 02 2017 ovitters <ovitters> 3.26.0-1.mga7
+ Revision: 1175465
- new version 3.26.0

* Tue Sep 05 2017 ovitters <ovitters> 3.25.92-1.mga7
+ Revision: 1151289
- new version 3.25.92

* Mon Aug 21 2017 ovitters <ovitters> 3.25.91-1.mga7
+ Revision: 1142732
- new version 3.25.91

* Tue Jul 25 2017 pterjan <pterjan> 3.24.0-2.mga7
+ Revision: 1130534
- Drop old sources now included in tarball and causing a crash on i586 (mga#20678)

* Wed Mar 22 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094426
- new version 3.24.0

* Mon Feb 13 2017 ovitters <ovitters> 3.22.3-1.mga6
+ Revision: 1086087
- new version 3.22.3

* Mon Nov 07 2016 ovitters <ovitters> 3.22.2-1.mga6
+ Revision: 1065741
- new version 3.22.2

* Mon Oct 10 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1060080
- new version 3.22.1

* Wed Sep 21 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1055025
- new version 3.22.0

* Sat Aug 27 2016 daviddavid <daviddavid> 3.20.2-1.mga6
+ Revision: 1049180
- add history-entry.ui and history-view.ui upstream files as sources to fix build
+ ovitters <ovitters>
- new version 3.20.2

* Sat May 07 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1010115
- new version 3.20.1

* Mon Mar 21 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993831
- new version 3.20.0

* Mon Feb 29 2016 ovitters <ovitters> 3.19.91-1.mga6
+ Revision: 981002
- new version 3.19.91

* Mon Feb 15 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 961319
- new version 3.19.90

* Mon Jan 18 2016 ovitters <ovitters> 3.19.4-1.mga6
+ Revision: 925505
- new version 3.19.4

* Tue Nov 24 2015 ovitters <ovitters> 3.19.2-1.mga6
+ Revision: 905752
- new version 3.19.2

* Mon Nov 23 2015 ovitters <ovitters> 3.19.1-1.mga6
+ Revision: 905163
- new version 3.19.1

* Mon Nov 09 2015 ovitters <ovitters> 3.18.2-1.mga6
+ Revision: 900201
- new version 3.18.2

* Mon Oct 12 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 890071
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882834
- new release

* Mon Sep 14 2015 ovitters <ovitters> 3.17.92-1.mga6
+ Revision: 879393
- new version 3.17.92

* Mon Jun 22 2015 ovitters <ovitters> 3.17.3-1.mga6
+ Revision: 838646
- new version 3.17.3

* Sun Oct 26 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 793472
- new version 3.14.1

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0-2.mga5
+ Revision: 751160
- Second Mageia 5 Mass Rebuild

* Mon Sep 22 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 719200
- new version 3.14.0
- new version 3.13.92
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Tue Aug 19 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 665373
- new version 3.13.90

* Wed Jul 23 2014 ovitters <ovitters> 3.13.3-1.mga5
+ Revision: 655750
- new version 3.13.3
- dropped merged patch 1

* Thu May 29 2014 ovitters <ovitters> 3.13.2-1.mga5
+ Revision: 627412
- add patch to fix km desktop file
- new version 3.13.2

* Wed May 28 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 627384
- new version 3.12.2

* Wed Apr 09 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 613122
- new version 3.12.1

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608006
- new version 3.12.0

* Mon Mar 17 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 604419
- new version 3.11.92

* Wed Mar 05 2014 ovitters <ovitters> 3.11.91-1.mga5
+ Revision: 600125
- new version 3.11.91

* Tue Feb 18 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 594135
- new version 3.11.90

* Wed Feb 05 2014 dams <dams> 3.11.5-1.mga5
+ Revision: 583032
- new version 3.11.5

* Mon Nov 11 2013 ovitters <ovitters> 3.10.2-1.mga4
+ Revision: 550450
- new version 3.10.2

* Sun Nov 10 2013 tmb <tmb> 3.10.1-3.mga4
+ Revision: 550405
- dont conflict on virtual provide gcalctool

* Sat Nov 09 2013 ovitters <ovitters> 3.10.1-2.mga4
+ Revision: 550157
- fix url

* Wed Oct 23 2013 dams <dams> 3.10.1-1.mga4
+ Revision: 546528
- add back a patch for bad po file (nl)
- remove useless patch (merged upstream - translation)
+ ovitters <ovitters>
- add patch to fix nl keyword translation in desktop file
- new version 3.10.1

* Sun Oct 20 2013 umeabot <umeabot> 3.10.0-2.mga4
+ Revision: 536819
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 485711
- new version 3.10.0

* Tue Sep 17 2013 fwang <fwang> 3.9.92-1.mga4
+ Revision: 480779
- update file list
+ ovitters <ovitters>
- new version 3.9.92

* Mon Aug 26 2013 ovitters <ovitters> 3.9.90-1.mga4
+ Revision: 471869
- new version 3.9.90

* Thu Jul 25 2013 dams <dams> 3.9.4-1.mga4
+ Revision: 458049
- new version 3.9.4

* Thu May 30 2013 dams <dams> 3.8.2-1.mga4
+ Revision: 432967
- imported package gnome-calculator

